corda / net.corda.contracts.asset / CommodityContract / Clauses / Issue

# Issue

`class Issue : AbstractIssue<State, Commands, Commodity>`

Standard issue clause, specialised to match the commodity issue command.

### Constructors

<init> | `Issue()` Standard issue clause, specialised to match the commodity issue command.

### Properties

requiredCommands | `val requiredCommands: Set<Class<out CommandData>>` Determine whether this clause runs or not

### Inherited Properties

sum | `val sum: List<S>.() -> Amount<Issued<T>>`
sumOrZero | `val sumOrZero: List<S>.(token: Issued<T>) -> Amount<Issued<T>>`